Subject: Re: [RFC PATCH net-next 0/3] RTNL: Add link-down reason reporting

From: Petr Machata <[email-masked]>
Date: Mon, 18 Mar 2019 12:11:17 +0000

Andrew Lunn <[email-masked]> writes:

>> The party with visibility into details of this process is the driver.
>
> In the general case, i would disagree with this. It is the PHY layer
> which knows about these things. phylib and phylink. The MAC driver has
> no idea, it just sees that the carrier is off.
>
> There are however some drivers which do PHYs without using the Linux
> core code. But there are not so many of them. I would hope this code
> is designed for the general case, and can also be used by those that
> ignore the core code.
>
> Please could you explain how you see this being linked to phylib and
> phylink, without having to modify every MAC driver.

I'll take a look at how to make this work with the phy drivers. Thanks,
Petr